Subject: Re: [PATCH] powerpc: dart iommu suspend

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 03 May 2007 22:34:45 +1000

On Thu, 2007-05-03 at 14:34 +0200, Johannes Berg wrote:
> On Thu, 2007-05-03 at 22:30 +1000, Benjamin Herrenschmidt wrote:
> 
> > We could just make the DART pages CI in the linear mapping rather than
> > not mapping it. That would make it "just work" with the normal code
> > path.
> 
> I didn't think that was even possible because it's mapped in larger
> blocks than that. If it is then all this hackery can go, I'm not
> attached to it...

Well.. the linear mapping is mapped with 16M pages. The DART only uses a
couple of MB but we blast an entire 16M page for it because of that ...

We could probably just map that 16MB page CI rather than not mapping it
and later on ioremapping the DART.

Ben.